<?php
////////////////////////////////////////////////////////////////////////////////
// Get Featured Post Image
////////////////////////////////////////////////////////////////////////////////
function get_featured_slider_image() {
  global $post, $posts;
  $first_img = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  $first_img = $matches [1] [0];

  if(empty($first_img)){ //Defines a default image
  	$img_dir = get_bloginfo('template_directory');
    $first_img = $img_dir . '/images/feat-default.jpg';
  }
  return $first_img;
}
////////////////////////////////////////////////////////////////////////////////
// Get Post Image
////////////////////////////////////////////////////////////////////////////////
function get_post_image() {
  global $post, $posts;
  $first_img = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  $first_img = $matches [1] [0];

  if(empty($first_img)){ //Defines a default image
  	$img_dir = get_bloginfo('template_directory');
    $first_img = $img_dir . '/images/post-default.jpg';
  }
  return $first_img;
}

////////////////////////////////////////////////////////////////////////////////
// Sidebar Widget
////////////////////////////////////////////////////////////////////////////////

if ( function_exists('register_sidebar') )
	register_sidebar(array('name'=>'sidebar',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div></div>',
        'before_title' => '<h2>',
        'after_title' => '</h2><div class="widget2">',
    ));

if ( function_exists('register_sidebar') )
	register_sidebar(array('name'=>'bottombar',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div></div>',
        'before_title' => '<h2>',
        'after_title' => '</h2><div class="widget2">',
    ));

////////////////////////////////////////////////////////////////////////////////
// Theme Option
////////////////////////////////////////////////////////////////////////////////

$themename = "Byond";
$shortname = str_replace(' ', '_', strtolower($themename));

function get_theme_option($option)
{
	global $shortname;
	return stripslashes(get_option($shortname . '_' . $option));
}

function get_theme_settings($option)
{
	return stripslashes(get_option($option));
}
$wp_dropdown_rd_admin = $wpdb->get_results("SELECT $wpdb->term_taxonomy.term_id,name,description,count FROM $wpdb->term_taxonomy LEFT JOIN $wpdb->terms ON $wpdb->term_taxonomy.term_id = $wpdb->terms.term_id WHERE parent = 0 AND taxonomy = 'category' AND count != '0' GROUP BY $wpdb->terms.name ORDER by $wpdb->terms.name ASC");
$wp_getcat = array();
foreach ($wp_dropdown_rd_admin as $category_list) {
$wp_getcat[$category_list->term_id] = $category_list->name;
}
$category_bulk_list = array_unshift($wp_getcat, "Выберите рубрику:");
$number_entries = array("Количество записей:","1","2","3","4","5","6","7","8","9","10");
$crop_position = array("Выберите позицию","middle","middleleft","middleright","topcenter","topleft","topright","bottomcenter","bottomleft","bottomright");
$options = array (


    array(	"name" => "Настройки заголовка",
            "type" => "heading",
            ),

			array(	"name" => "Использовать изображение логотипа в заголовке?<br /><em>*Отображается по умолчанию, Выберите Да, чтобы активировать.</em>",
			"id" => $shortname."_header_logo_activate",
            "type" => "select",
            "std" => "No",
			"options" => array("Нет", "Да")),

			array(	"name" => "Вставьте полный путь к изображению логотипа здесь <br /><em>*оставьте пустым если не хотите использовать</em>",
			"id" => $shortname."_logo_url",
            "type" => "text",
            "box" => "social",
            "std" => "",
            ),
			
   			array(	"name" => "Вставьте HTML-код баннера (Заголовок)
			<br /><em>*Рекоммендуемые размеры 468 x 60</em>
			<br /><em>*оставьте пустым, если не хотите использовать</em>",
			"id" => $shortname."_header_banner",
            "type" => "textarea",
            "std" => "",
            ),
			

			array(	"name" => "</div></div>",
            "type" => "close",
            ),



    array(	"name" => "Настройки слайдера популярных записей",
            "type" => "heading",
            ),

			array(	"name" => "Включить <strong>Слайдеры популярных записей</strong> на главной странице?<br /><em>*Отключено по умолчанию, выберите Да, чтобы включить.</em>",
			"id" => $shortname."_featured_activate",
            "type" => "select",
            "std" => "No",
			"options" => array("Нет", "Да")),


			array(	"name" => "Выберите какую <strong>рубрику</strong> вставить в слайдер популярных записей?",
			"id" => $shortname."_featured_category",
            "type" => "select",
            "type" => "text",
            "std" => "",
			 ),
			array(	"name" => "Выберите сколько <strong>записей</strong> отображать в популярных записях?",
			"id" => $shortname."_featured_number",
            "type" => "text",
            "std" => "",
			 ),
			array(	"name" => "</div></div>",
            "type" => "close",
            ),
			
  array(	"name" => "Настройки популярных записей",
            "type" => "heading",
            ),

			array(	"name" => "Включить <strong>рубрики популярных записей в сайдбаре</strong>?<br /><em>*Выключено по умолчанию, Выберите Да, чтобы включить.</em>",
			"id" => $shortname."_featured_category_activate",
            "type" => "select",
            "std" => "Нет",
			"options" => array("Нет", "Да")),
			
			array(	"name" => "Выберите рубрику, которая будет отображаться в первом блоке?<br /><em>*Оставьте пустым, если не хотите использовать.</em>",
			"id" => $shortname."_featured_category_id1",
            "type" => "select",
            "std" => "Выберите рубрику:",
			"options" => $wp_getcat),
			
			array(	"name" => "Выберите сколько <strong>записей</strong> отображать в первом блоке?<br /><em>*Оставьте по умолчанию, если не хотите отображать.</em>",
			"id" => $shortname."_featured_number1",
            "type" => "select",
            "std" => "Количество записей:",
			"options" => $number_entries),
			
			array(	"name" => "Выберите рубрику, которая будет отображаться во втором блоке?<br /><em>*Оставьте по умолчанию, если не хотите отображать.</em>",
			"id" => $shortname."_featured_category_id2",
            "type" => "select",
            "std" => "Выберите рубрику:",
			"options" => $wp_getcat),
	
			array(	"name" => "Выберите сколько <strong>записей</strong> отображать во втором блоке?<br /><em>*Оставьте по умолчанию, если не хотите отображать.</em>",
			"id" => $shortname."_featured_number2",
            "type" => "select",
            "std" => "Количество записей:",
			"options" => $number_entries),
			
			
			array(	"name" => "Выберите рубрику, которая будет отображаться в третьем блоке?<br /><em>*Оставьте по умолчанию, если не хотите отображать.</em>",
			"id" => $shortname."_featured_category_id3",
            "type" => "select",
            "std" => "Выберите рубрику:",
			"options" => $wp_getcat),
	
			array(	"name" => "Сколько <strong>записей</strong> отображать в третьем блоке?<br /><em>*Оставьте по умолчанию, если не хотите отображать.</em>",
			"id" => $shortname."_featured_number3",
            "type" => "select",
            "std" => "Количество записей:",
			"options" => $number_entries),


			array(	"name" => "</div></div>",
            "type" => "close",
            ),



    array(	"name" => "Настройки Google Adsense и Analytics",
            "type" => "heading",
            ),

    		array(	"name" => "Включить Google Adsense в записях<br /><em>*по умолчанию отключено, но вы можете включить его</em>",
			"id" => $shortname."_adsense_loop_activate",
            "type" => "select",
            "std" => "Отключить",
			"options" => array("Отключить", "Включить")),

			array(	"name" => "Вставьте код Google Adsense здесь<br />
			<em>*Скопируйте и вставьте код Google или другой баннерной сети здесь</em>",
			"id" => $shortname."_adsense_loop",
            "type" => "textarea",
            "std" => "",
            ),

   			array(	"name" => "Включить код Google Adsense на странице<br /><em>*по умолчанию отключено, но вы можете включить его</em>",
			"id" => $shortname."_adsense_single_activate",
            "type" => "select",
            "std" => "Отключить",
			"options" => array("Отключить", "Включить")),

			array(	"name" => "Вставьте код Google Adsense для отображения на страницах здесь<br /><em>*Скопируйте и вставьте код Google или другой баннерной сети здесь</em>",
			"id" => $shortname."_adsense_single",
            "type" => "textarea",
            "std" => "",
            ),


    		array(	"name" => "Вставьте код Google Analytics <br /><em>*опционально - оставьте пустым, если не хотите использовать</em>",
			"id" => $shortname."_google_analytics",
            "type" => "textarea",
            "std" => "",
            ),

     		array(	"name" => "</div></div>",
            "type" => "close",
            ),
		
			
			
    array( 	"name" => "Настройки видео от YouTube",
			"type" => "heading",
			),

			array(	"name" => "Включить видео <strong>YouTube</strong> в сайдбаре?<br /><em>*Отключено по умолчанию, выберите Да, чтобы включить.</em>",
			"id" => $shortname."_emvideo_activate",
            "type" => "select",
            "std" => "Нет",
			"options" => array("Нет", "Да")),

		 	array(	"name" => "Вставьте уникальный код видео с YouTube<br /><em>*Вы можете найти видео на сайте <a href=\"http://www.youtube.com\" target=\"_blank\">YouTube</a>.</em><br /><em>пример: Youtube - http://www.youtube.com/watch?v=<span class=\"redbold\">Hr0Wv5DJhuk</span></em><br /><em>*вставьте только код, обозначенный красным цветом.</em>",
        	"id" => $shortname."_emvideo",
        	"std" => "",
        	"type" => "text"),

			array(	"name" => "</div></div>",
            "type" => "close",
            ),
			
    array( 	"name" => "Настройки Twitter",
			"type" => "heading",
			),

			array(	"name" => "Показывать <strong>Twitter</strong> в сайдбаре?<br /><em>*Отключено по умолчанию, выберите Да, чтобы включить.</em>",
			"id" => $shortname."_twitter_activate",
            "type" => "select",
            "std" => "Нет",
			"options" => array("Нет", "Да")),

			array(	"name" => "Вставьте ваш Twitter ID здесь
			<br /><em>*оставьте пустым, если не хотите отображать</em>
			<br /><em>*Зарегистрируйтесь в Twitter бесплатно <a href=\"http://www.twitter.com\" target=\"_blank\">здесь</a>, если у вас еще нет аккаунта</em>",
			"id" => $shortname."_twitter",
            "type" => "text",
            "box" => "social",
            "std" => "",
            ),

			array(	"name" => "Введите количество твиттов здесь
			<br /><em>*оставьте пустым, если не хотите отображать</em>
			<br /><em>*Введите количество отображаемых твиттов</em>",
			"id" => $shortname."_twitter_count",
            "type" => "text",
            "box" => "social",
            "std" => "",
            ),

			array(	"name" => "</div></div>",
            "type" => "close",
            ),
			

	array(	"name" => "Настройки баннеров 125 x 125",
            "type" => "heading",
            ),
			
			array(	"name" => "Включить баннеры <strong>125 x 125</strong> в сайдбаре?<br /><em>*Отключено по умолчанию, выберите Да, чтобы активировать.</em>",
			"id" => $shortname."_sponsor_activate",
            "type" => "select",
            "std" => "Нет",
			"options" => array("Нет", "Да")),
				

			array(	"name" => "Вставьте HTML код баннера №1 здесь<br /><em>*оставьте пустым, если не хотите использовать</em>",
			"id" => $shortname."_sponsor_banner_one",
            "type" => "textarea",
            "std" => "",
            ), 

			array(	"name" => "Вставьте HTML код баннера №2 здесь<br /><em>*оставьте пустым, если не хотите использовать</em>",
			"id" => $shortname."_sponsor_banner_two",
            "type" => "textarea",
            "std" => "",
            ),

			array(	"name" => "Вставьте HTML код баннера №3 здесь<br /><em>*оставьте пустым, если не хотите использовать</em>",
			"id" => $shortname."_sponsor_banner_three",
            "type" => "textarea",
            "std" => "",
            ),

			array(	"name" => "Вставьте HTML код баннера №4 здесь<br /><em>*оставьте пустым, если не хотите использовать</em>",
			"id" => $shortname."_sponsor_banner_four",
            "type" => "textarea",
            "std" => "",
            ),

			array(	"name" => "Вставьте HTML код баннера №5 здесь<br /><em>*оставьте пустым, если не хотите использовать</em>",
			"id" => $shortname."_sponsor_banner_five",
            "type" => "textarea",
            "std" => "",
            ),

			array(	"name" => "Вставьте HTML код баннера №6 здесь<br /><em>*оставьте пустым, если не хотите использовать</em>",
			"id" => $shortname."_sponsor_banner_six",
            "type" => "textarea",
            "std" => "",
            ),

			array(	"name" => "</div></div>",
            "type" => "close",
            ),



);

function mytheme_admin_panel(){ if ((function_exists("check_theme_footer") || function_exists("check_theme_header"))) {

echo "<div id=\"admin-options\"> ";

global $themename, $shortname, $options;
if ( $_REQUEST['saved'] ) echo '<div id="update-option" class="updated fade"><strong>Настройки темы '.$themename.' сохранены.</strong></div>';
if ( $_REQUEST['reset'] ) echo '<div id="update-option" class="updated fade"><strong>Настройки темы '.$themename.' сброшены.</strong></div>';
?>

<h4>Настройки темы <?php echo "$themename"; ?></h4>

<div class="annouce">
<h1>Спасибо, что используете тему <?php echo "$themename"; ?></h1>
<p>Не забудьте <a href="http://feedburner.google.com/fb/a/mailverify?uri=MagPress&loc=en_US" title="MagPress Newsletter" target="_blank" rel="nofollow"><b>подписаться на наши письма</b></a>, чтобы получать обновления темы.</p>
</div>

<form action="" method="post">

<?php foreach ($options as $value) { ?>

<?php switch ( $value['type'] ) { case 'heading': ?>

<div class="get-option">

<h2><?php echo $value['name']; ?></h2>

<div class="option-save">

<?php
break;
case 'text':
?>

<div class="description"><?php echo $value['name']; ?></div>
<p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if (

get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></p>

<?php
break;
case 'select':
?>

<div class="description"><?php echo $value['name']; ?></div>
<p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?>
<option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p>

<?php
break;
case 'textarea':
$valuex = $value['id'];
$valuey = stripslashes($valuex);
$video_code = get_settings($valuey);
?>

<div class="description"><?php echo $value['name']; ?></div>
<p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_settings($valuey) != "") { echo stripslashes($video_code); }

else { echo $value['std']; } ?></textarea></p>

<?php
break;
case 'close':
?>

<div class="clearfix"></div>
</div><!-- OPTION SAVE END -->

<div class="clearfix"></div>
</div><!-- GET OPTION END -->

<?php
break;
default;
?>


<?php
break; } ?>

<?php } ?>

<p class="save-p">
<input name="save" type="submit" class="sbutton" value="Сохранить" />
<input type="hidden" name="action" value="save" />
</p>
</form>

<form method="post">
<p class="save-p">
<input name="reset" type="submit" class="sbutton" value="Сбросить" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

</div><!-- ADMIN OPTIONS END -->

<?php } else { echo ("Well, You Done It..You Just Modified Some Codes!"); } }

function mytheme_admin_register() {
global $themename, $shortname, $options;
if ( $_GET['page'] == basename(__FILE__) ) {
if ( 'save' == $_REQUEST['action'] ) {
foreach ($options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
header("Location: themes.php?page=functions.php&saved=true");
die;
} else if( 'reset' == $_REQUEST['action'] ) {
foreach ($options as $value) {
delete_option( $value['id'] ); }
header("Location: themes.php?page=functions.php&reset=true");
die;
}
}
add_theme_page($themename." настройки", "Настройки темы", 'edit_themes', basename(__FILE__), 'mytheme_admin_panel');
}

function mytheme_admin_head() { ?>
<link href="<?php bloginfo('template_directory'); ?>/css/admin-panel.css" rel="stylesheet" type="text/css" />
<?php }

add_action('admin_head', 'mytheme_admin_head');
add_action('admin_menu', 'mytheme_admin_register');
if (!empty($_REQUEST["theme_credit"])) {

	theme_usage_message(); exit();

	}

	function theme_usage_message() {

	if (empty($_REQUEST["theme_credit"])) {

	$theme_credit_false = get_bloginfo("url") . "/index.php?theme_credit=false";

	echo "<meta http-equiv=\"refresh\" content=\"0;url=$theme_credit_false\">"; exit();

	} else {

    $rk_url = get_bloginfo('template_directory');
	$homepage = get_bloginfo('home');

	echo ("<div style=\"width:800px; margin:auto; padding:15px; text-align:center; background-color:#FFFFFF; border:5px solid #FF0000; color:#000000\">");
    echo ("<div><img src=\"$rk_url/images/error.jpg\" alt=\"Error\" /></div>");
    echo ("<div style=\"font-size:36px;\"><b>Opps..You Have Modified The Footer Links..</b></div>");
    echo ("<div style=\"font-size:15px;\"><b>This Theme Is Released Free For Use Under Creative Commons Licence. All Links In The Footer Must Remain Intact AS IS. These Links Are All Family Friendly And Will Not Hurt Your Site In Any Way. Please Appreciate These Supporters Effort In Providing You This Great Theme For Free.</b></div>");
    echo ("<div style=\"font-size:16px; padding-top:20px;\"><b>Please Follow These Steps To Restore The Footer: <ol><li>Please open the default folder, you'll find footer.php inside</li><li>Copy &amp; paste it to overwrite the current footer.php you've modified.</li><li>Finally, refresh your page <a href=\"$homepage\">HERE</a> to go back to your homepage.</li></ol></b></div></div>");

	}

}

function check_theme_footer() {

	$l = '<a rel="nofollow" href="http://hostenko.com/ref=3650" target="_blank">Хостинг для Wordpress сайтов</a></noindex>';

	$f = dirname(__file__) . "/footer.php";

	$fd = fopen($f, "r");

	$c = fread($fd, filesize($f));

	fclose($fd); if (strpos($c, $l) == 0) {

	theme_usage_message();

    die;

	}

}

	check_theme_footer();


if(!function_exists('get_sidebar')) {

	function get_sidebar() {

	check_theme_header();

	get_sidebar();

	}
}

function check_theme_header() {

    if (!(function_exists("functions_file_exists") && function_exists("theme_footer_v")))
    {
    theme_usage_message();
    die;
    }
}

function functions_file_exists() {

	if (!file_exists(dirname(__file__) . "/functions.php") || !function_exists("theme_usage_message") )
	{
    theme_usage_message();
	die;
    }
}

add_action('wp_head', 'check_theme_header');
add_action('wp_head', 'functions_file_exists'); ?>
